## Grammatik für Linkbeschreibungen

Grundlage für Linkbeschreibungen sind die allgemeine Grammatik für Beschreibungsdateien, die Namenskonventionen für Moduldateien und die Namenskonventionen für Beschreibungsdateien.

### Syntax

<link_description> = {<block>} | EMPTY

<line> = <link_desc_line>

<link_desc_line> = <comment_line> | <link_line> | <def_line> | <ext_target_option_line> | <tool_option_line> | <file> | EMPTY

<tool_option_line> = <extended_letter><token><new_line>

<file> = (/ | $)<token>

<link_line> = [<source_spec>|<desc_spec>]<new_line>

#### Allgemeine Regel

In <tool_option_line> darf <ext_character> nicht mit / | $ | ! beginnen.